Panama< B > Class Template Reference

base class, do not use directly More...

`#include <panama.h>`

Inheritance diagram for Panama< B >:

## Public Member Functions

void | Reset ()
void | Iterate (size_t count, const word32 *p=NULL, byte *output=NULL, const byte *input=NULL, KeystreamOperation operation=WRITE_KEYSTREAM)

## Protected Types

typedef word32 | Stage[8]

## Protected Attributes

FixedSizeAlignedSecBlock< word32, 20+8 *32 > | m_state

## Static Protected Attributes

static const int | STAGES = 32

## Detailed Description

### template<class B>
class Panama< B >

base class, do not use directly

Definition at line 11 of file panama.h.

The documentation for this class was generated from the following file:

- panama.h